const shell = require('shelljs');
const chalk = require('chalk');
// const ora = require('ora');
// const upload = require('./libs/upload');
const log = console.log;

const { program } = require('commander');
// 压缩文件名字
program.option('-n, --name <name>', '压缩文件名字，默认 dist');

// 不备份
program.option('-nb, --no-backup', '开启不备份');
program.parse();

const options = program.opts();
const zipName = options.name || 'dist';

// upload();
init();

function init() {
  if (!options.backup) {
    zipFile().then(removeDist);
  } else {
    backupFile().finally(() => {
      zipFile().then(removeDist);
    });
  }
}

// 备份文件
function backupFile() {
  return new Promise((resolve, reject) => {
    log(chalk.cyan('备份dist.zip...'));
    shell.exec(
      `mv ${zipName}.zip ${zipName}_old.zip`,
      function (code, stdout, stderr) {
        if (code === 0) {
          log(chalk.green(`备份成功：${zipName}.zip -> ${zipName}_old.zip`));
          log();
          log();
          resolve(true);
        } else {
          log(chalk.red(stderr));
          reject(stderr);
        }
      },
    );
  });
}

// 压缩文件
function zipFile() {
  return new Promise((resolve, reject) => {
    log(chalk.cyan('压缩dist目录...'));
    // 先执行rm -rf zipName.zip 命令
    shell.rm('-rf', `${zipName}.zip`).stdout;

    shell.exec(`zip -qr ${zipName}.zip dist`, function (code, stdout, stderr) {
      if (code === 0) {
        log(chalk.green(`压缩成功：dist目录 -> ${zipName}.zip`));
        resolve(true);
        // upload();
      } else {
        log(chalk.red(stderr));
        reject(stderr);
      }
    });
  });
}

// 删除 dist 目录
function removeDist() {
  shell.rm('-rf', 'dist').stdout;
}
