const shell = require('shelljs');
const chalk = require('chalk');
// const ora = require('ora');
// const upload = require('./libs/upload');
const log = console.log;

// upload();
init();

function init() {
  backupFile().finally(() => {
    zipFile().then(removeDist);
  });
}

// 备份文件
function backupFile() {
  return new Promise((resolve, reject) => {
    log(chalk.cyan('备份dist.zip...'));
    shell.exec('mv dist.zip dist_old.zip', function (code, stdout, stderr) {
      if (code === 0) {
        log(chalk.green('备份成功：dist.zip -> dist_old.zip'));
        log();
        log();
        resolve(true);
      } else {
        log(chalk.red(stderr));
        reject(stderr);
      }
    });
  });
}

// 压缩文件
function zipFile() {
  return new Promise((resolve, reject) => {
    log(chalk.cyan('压缩dist目录...'));
    shell.exec('zip -qr dist.zip dist', function (code, stdout, stderr) {
      if (code === 0) {
        log(chalk.green('压缩成功：dist目录 -> dist.zip'));
        resolve(true);
        // upload();
      } else {
        log(chalk.red(stderr));
        reject(stderr);
      }
    });
  });
}

// 删除 dist 目录
function removeDist() {
  shell.rm('-rf', 'dist').stdout;
}
