import { useState, useEffect, useRef } from 'react';

const showTime = (count: any) => {
  const m = Math.floor((count / (1000 * 60)) % 60);
  const s = Math.floor((count / 1000) % 60);
  return [`${m}`.padStart(2, '0'), `${s}`.padStart(2, '0')];
};

const TimeCountdown = ({ timeCount = new Date().getTime() }: any) => {
  const intervalRef = useRef<any>(null);
  const [count, setCount] = useState(timeCount - new Date().getTime());
  const [m, setM] = useState<string>('00');
  const [h, setH] = useState<string>('00');

  useEffect(() => {
    if (count > 0) {
      intervalRef.current = setInterval(() => {
        const newCount = timeCount - new Date().getTime();
        const [newM, newH] = showTime(newCount);
        setM(newM);
        setH(newH);
        setCount(newCount);
      }, 1000);
    } else {
      clearInterval(intervalRef.current);
      setM('00');
      setH('00');
    }
    return () => {
      clearInterval(intervalRef.current);
    };
  }, []); // eslint-disable-line
  // console.log('count: ', count);
  if (count <= 0) {
    return null;
  }
  return (
    <span>
      {m}:{h}
    </span>
  );
};

export default TimeCountdown;
