import { copy } from '@/utils';
import { Typography } from 'antd';
import styles from '../style.less';

interface IProps {
  data: API.AccountInfo;
}

const { Text } = Typography;

function AccountInfo({
  data: {
    consoleHost,
    loginName,
    loginPwd,
    copyValue,
    remark,
    docUrl,
    gateWay,
    notifyIp,
    mchKey,
    payInitUrl,
    payQueryUrl,
  },
}: IProps) {
  return (
    <div className={styles.accountInfo}>
      <h2>账号信息</h2>
      <p>
        <span className={styles.title}>后台地址：</span>
        {consoleHost && (
          <a href={consoleHost} target="_blank">
            {consoleHost}
          </a>
        )}
      </p>
      <p>
        <span className={styles.title}>登录账号：</span>
        <span>{loginName}</span>
      </p>
      <p>
        <span className={styles.title}>默认密码：</span>
        <span>
          <Text copyable>{loginPwd}</Text>
        </span>
      </p>
      <p>
        <span className={styles.title}>系统网关：</span>
        <Text copyable>{gateWay}</Text>
      </p>
      <p>
        <span className={styles.title}>商户Key：</span>
        {mchKey}
      </p>
      <p>
        <span className={styles.title}>回调IP：</span>
        {notifyIp}
      </p>
      <p>
        <span className={styles.title}>系统说明：</span>
        <span>{remark}</span>
      </p>
      <p>
        <span className={styles.title}>对接文档：</span>
        {docUrl && (
          <a href={docUrl} target="_blank">
            {docUrl}
          </a>
        )}
      </p>
      <p>
        <span className={styles.title}>支付网关：</span>
        <span>
          <Text copyable>{payInitUrl}</Text>
        </span>
      </p>
      <p>
        <span className={styles.title}>支付查询：</span>
        <span>
          <Text copyable>{payQueryUrl}</Text>
        </span>
      </p>
      <p>
        <a onClick={() => copy(copyValue)}>点我复制</a>
      </p>
    </div>
  );
}

export default AccountInfo;
