import { copy } from '@/utils';
import styles from '../style.less';

interface IProps {
  data: API.AccountInfo;
}

function AccountInfo({ data: { consoleHost, loginName, loginPwd, copyValue, remark } }: IProps) {
  return (
    <div className={styles.accountInfo}>
      <h2>账号信息</h2>
      <p>
        <span className={styles.title}>后台：</span>
        {consoleHost && (
          <a href={consoleHost} target="_blank">
            {consoleHost}
          </a>
        )}
      </p>
      <p>
        <span className={styles.title}>账号：</span>
        <span>{loginName}</span>
      </p>
      <p>
        <span className={styles.title}>密码：</span>
        <span>{loginPwd}</span>
      </p>
      <p>
        <span className={styles.title}>说明：</span>
        <span>{remark}</span>
      </p>
      <p>
        <a onClick={() => copy(copyValue)}>点我复制</a>
      </p>
    </div>
  );
}

export default AccountInfo;
