import { PROTABLE_DEFAULT_SETTING } from '@/constants';
import { requestProxyMerchantList } from '@/services/merchant/proxy';
import type { ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';

function InfoTable({ id }: any) {
  const columns: ProColumns<API.PageParams>[] = [
    {
      title: '商户ID',
      dataIndex: 'id',
    },
    {
      title: '商户名称',
      dataIndex: 'mchName',
    },
    {
      title: '分组名称',
      dataIndex: 'groupName',
    },
  ];
  return (
    <div>
      <h2>商户信息</h2>
      <ProTable
        {...PROTABLE_DEFAULT_SETTING}
        search={false}
        pagination={false}
        request={requestProxyMerchantList.bind(null, id)}
        columns={columns}
      />
    </div>
  );
}

export default InfoTable;
