import { Tabs } from 'antd';
import PaymentProduct from './PaymentProduct';
import TransferProduct from './TransferProduct';
import styles from '../style.less';

const { TabPane } = Tabs;
const TAB_KEY = {
  PAYMENT: '1',
  TRANSFER: '2',
};

interface IProps {
  id: string;
}

function RateConfig({ id }: IProps) {
  return (
    <div className={styles.rateConfig}>
      <h2>代理费率</h2>
      <Tabs>
        <TabPane tab="支付通道" key={TAB_KEY.PAYMENT}>
          <PaymentProduct id={id} />
        </TabPane>
        <TabPane tab="代付通道" key={TAB_KEY.TRANSFER}>
          <TransferProduct id={id} />
        </TabPane>
      </Tabs>
    </div>
  );
}

export default RateConfig;
