import { PROTABLE_DEFAULT_SETTING, PROTABLE_TABLE_ONLY_SETTING } from '@/constants';
import { requestProxyTransferProductList } from '@/services/merchant/proxy';
import ProTable from '@ant-design/pro-table';
import type { ProColumns } from '@ant-design/pro-table';

interface IProps {
  id: string;
}

function TransferProduct({ id }: IProps) {
  const columns: ProColumns<API.PageParams>[] = [
    {
      title: '通道编码',
      dataIndex: 'groupName',
    },
    {
      title: '通道名称',
      dataIndex: 'mchName',
    },
    {
      title: '状态',
      dataIndex: 'message',
    },
    {
      title: '过期时间',
      dataIndex: 'message',
    },
    {
      title: '费率',
      dataIndex: 'message',
    },
  ];

  return (
    <div>
      <ProTable
        {...PROTABLE_DEFAULT_SETTING}
        {...PROTABLE_TABLE_ONLY_SETTING}
        request={requestProxyTransferProductList.bind(null, id)}
        columns={columns}
      />
    </div>
  );
}

export default TransferProduct;
