import { Tag } from 'antd';
import type { IExtraData } from '..';
import styles from '../style.less';

interface IProps {
  data: Partial<IExtraData>;
}

const dataList = [
  {
    title: '成功总金额',
    dataIndex: 'totalAmount',
    color: 'success',
  },
  {
    title: '商户手续费',
    dataIndex: 'mchFee',
    color: 'cyan',
  },
  {
    title: '通道方成本',
    dataIndex: 'channelFee',
    color: 'processing',
  },
  {
    title: '代理方分成',
    dataIndex: 'proxyFee',
    color: 'warning',
  },
  {
    title: '平台总利润',
    dataIndex: 'serialIncome',
    color: 'volcano',
  },
  {
    title: '当前商户余额',
    dataIndex: 'mchBalance',
    color: 'geekblue',
  },
  {
    title: '成功率',
    dataIndex: 'successRate',
    color: 'purple',
  },
];

function HeaderTitle({ data }: IProps) {
  return (
    <div className={styles.headerTitle}>
      {dataList.map(({ title, dataIndex, color }) => (
        <Tag color={color} className={styles.itemTag} key={dataIndex}>
          {title}：{data[dataIndex]}
        </Tag>
      ))}
    </div>
  );
}

export default HeaderTitle;
