import { useState } from 'react';
import { history } from 'umi';
import { Tabs } from 'antd';
import { ROUTER_ENUM } from '@/constants';
import ChannelLarge from './components/ChannelLarge';
import styles from './style.less';
import ChannelSub from './components/ChannelSub';

const { TabPane } = Tabs;
const TAB_KEY = {
  L: '1',
  S: '2',
};

function Payment({ location: { query } }: any) {
  const [activeKey, setActiveKey] = useState<string>(query.tabKey || TAB_KEY.L);
  const handleTabChange = (tabKey: string) => {
    setActiveKey(tabKey);
    history.replace({
      pathname: ROUTER_ENUM.transfer,
      query: {
        ...query,
        tabKey,
      },
    });
  };

  return (
    <div>
      <Tabs activeKey={activeKey} onChange={handleTabChange} className={styles.container}>
        <TabPane tab="大通道" key={TAB_KEY.L}>
          {activeKey === TAB_KEY.L && <ChannelLarge />}
        </TabPane>
        <TabPane tab="子通道" key={TAB_KEY.S}>
          {activeKey === TAB_KEY.S && <ChannelSub />}
        </TabPane>
      </Tabs>
    </div>
  );
}

export default Payment;
