import { Space, Tag } from 'antd';
import styles from '../style.less';

interface IProps {
  data: { type: string; key: string; value: string; expire: string };
}

const TYPE_COLOR = {
  string: 'cyan',
  list: 'red',
  set: 'volcano',
  zset: 'green',
  hash: 'purple',
};

function CacheItem({ data }: IProps) {
  return (
    <Space direction="vertical" className={styles.itemContainer}>
      <div className={styles.itemHeader}>
        <Space>
          <Tag color={TYPE_COLOR[data.type] || 'blue'}>{data.type}</Tag>
          {data.key}
        </Space>
        {data.expire}
      </div>
      <div className={styles.itemContent}>{data.value}</div>
    </Space>
  );
}

export default CacheItem;
