import { useRef } from 'react';
import { PROTABLE_DEFAULT_SETTING, PROTABLE_TABLE_ONLY_SETTING } from '@/constants';
import ProTable from '@ant-design/pro-table';
import type { ActionType } from '@ant-design/pro-table';
import type { ProColumns } from '@ant-design/pro-table';
// import { message } from 'antd';
import ModalFormBlock from './ModalFormBlock';
interface IProps {
  data?: API.DatabaseItem[];
}
function Content({ data }: IProps) {
  const actionRef = useRef<ActionType>();

  const columns: ProColumns<API.DatabaseItem>[] = [
    {
      title: '表名',
      width: 300,
      ellipsis: true,
      dataIndex: 'tableName',
    },
    {
      title: '表备注',
      width: 280,
      ellipsis: true,
      dataIndex: 'tableComment',
    },
    {
      title: '引擎类型',
      width: 80,
      ellipsis: true,
      dataIndex: 'engine',
    },
    {
      title: '排序规则',
      width: 150,
      ellipsis: true,
      dataIndex: 'tableCollation',
    },
    {
      title: '数据行数',
      width: 100,
      ellipsis: true,
      dataIndex: 'tableRows',
    },
    {
      title: '平均行长度',
      width: 100,
      ellipsis: true,
      dataIndex: 'avgRowLength',
    },
    {
      title: '表大小',
      width: 80,
      ellipsis: true,
      dataIndex: 'dataLength',
    },
    {
      title: '自动递增值',
      width: 90,
      ellipsis: true,
      dataIndex: 'autoIncrement',
    },
    {
      title: '操作',
      width: 80,
      fixed: 'right',
      ellipsis: true,
      dataIndex: 'autoIncrement',
      render: (_, record) => {
        return <ModalFormBlock data={record} refresh={actionRef.current?.reload} />;
      },
    },
  ];
  return (
    <ProTable
      {...PROTABLE_DEFAULT_SETTING}
      {...PROTABLE_TABLE_ONLY_SETTING}
      scroll={{ x: 1200, y: 'calc(100vh - 230px)' }}
      actionRef={actionRef}
      columns={columns}
      dataSource={data}
    />
  );
}

export default Content;
