import { Statistic } from 'antd';
import styles from '../style.less';

import type { IHeaderData } from '..';

interface IProps {
  data?: IHeaderData;
}

function Header({ data }: IProps) {
  return (
    <div className={styles.headerContainer}>
      <div className={styles.header}>
        {data?.map((item) => (
          <Statistic title={item.title} value={item.value} formatter={(v) => v} />
        ))}
      </div>
    </div>
  );
}

export default Header;
