import { getDatabase } from '@/services/monitor';
import { ReloadOutlined } from '@ant-design/icons';
import { Button, Spin } from 'antd';
import { useRequest } from 'umi';
import Content from './components/Content';
import Header from './components/Header';
import styles from './style.less';

export type IHeaderData = API.Item[];

function Database() {
  const { data, loading, run } = useRequest<{
    data: { headerData: IHeaderData; tableData: API.DatabaseItem[] };
  }>(getDatabase);
  console.log('data: ', data);

  return (
    <Spin spinning={loading}>
      <div>
        <Button type="primary" icon={<ReloadOutlined />} className={styles.refresh} onClick={run}>
          刷新
        </Button>
        <Header data={data?.headerData} />
        <Content data={data?.tableData} />
      </div>
    </Spin>
  );
}

export default Database;
