import { useEffect } from 'react';
import { getGoogleSecret } from '@/services/admin';
import { useState } from 'react';
import styles from '../style.less';

function StepOne() {
  const [data, setData] = useState<{ secretUrl?: string; secretCode?: string }>({});
  useEffect(() => {
    const init = async () => {
      const res = await getGoogleSecret();
      if (res.code === '0000') {
        setData(res.data);
      }
    };
    init();
  }, []);
  return (
    <div className={styles.stepOne}>
      {data.secretUrl && <img className={styles.qrcodeImg} src={data.secretUrl} />}
      <p>安全秘钥：{data.secretCode}</p>
      <p className={styles.tips}>打开手机谷歌验证器，并扫描上方二维码或手动输入安全秘钥</p>
    </div>
  );
}

export default StepOne;
