/**
 * 一个通用的 modal reducer
 */
// state的类型,action的类型
type IModalState = {
  visible: boolean;
  initialData: Record<string, any>;
  editIndex?: number;
  editType?: string;
  loading?: boolean;
  [key: string]: any;
};
type Itype = 'closeModal' | 'showModal' | 'setState';
type ICountAction = { type: Itype; payload?: Record<string, any> };

export type ICountReducer = React.Reducer<IModalState, ICountAction>;

export default (state: IModalState, action: ICountAction) => {
  switch (action.type) {
    case 'closeModal':
      return { ...state, visible: false, ...(action.payload || {}) };
    case 'showModal':
      return { ...state, visible: true, ...(action.payload || {}) };
    case 'setState':
      return { ...state, ...(action.payload || {}) };
    default:
      return { ...state };
  }
};
