import { get } from '@/utils/request';
const PREFIX = '/api/v1/admin';
const PREFIX_PROXY = '/api/v1/admin/proxy';

/** 获取商户列表options */
export async function requestMerchantOptions() {
  const res = await get(`${PREFIX}/merchant/list`);
  if (res.code === '0000') {
    return res.data.map((item: API.MerchantItem) => ({
      label: item.mchName,
      value: item.id,
    }));
  }
  return [];
}

// 上级代理列表
export async function requestProxyOptions() {
  const res = await get(`${PREFIX_PROXY}/list`);
  if (res.code === '0000' && res.data) {
    return res.data.map((item: API.ProxyItem) => {
      return { label: item.proxyName, value: item.id };
    });
  }
  return [];
}

/** 获取系统管理员列表枚举 */
export async function requestUserOptions() {
  const res = await get(`${PREFIX}/user/list`);
  if (res.code === '0000') {
    return res.data.map((item: API.CurrentUser) => ({
      label: item.adminName,
      value: item.adminId,
    }));
  }
  return [];
}

/** 银行卡列表 */
export async function requestBankcardOptions() {
  const res = await get(`/api/v1/merchant/card/banks`);
  if (res.code === '0000') {
    return res.data.map((item: API.BankcardItem) => ({
      label: `${item.bankName}/${item.bankCode}`,
      value: item.bankCode,
    }));
  }
  return [];
}
