import type { ITimeType } from '@/constants/types';
import { commonRequestNoPagination, get } from '@/utils/request';
import { handleChannelData } from '../merchant/channelPayment';

const PREFIX = '/api/v1/admin';
const PREFIX_PAYMENT = '/api/v1/admin/dashboard/payment';

// 统计
export async function getBasicData() {
  return get(`${PREFIX_PAYMENT}/basic`);
}

// 图表汇总
export async function getChart(timeType: number) {
  return get(`${PREFIX_PAYMENT}/chart`, { timeType });
}

// 商户支付简报
export async function requestMerchantPaymentChannelStatistics(params: API.PageParams) {
  const res = await commonRequestNoPagination(
    `${PREFIX}/merchant/payment/channel/statistics`,
    params,
  );
  if (res.data.length) {
    res.data = handleChannelData(res.data);
  }
  return res;
}

// 支付通道简报
export async function requestPaymentChannelStatistics(params: API.PageParams) {
  const res = await commonRequestNoPagination(`${PREFIX}/payment/channel/statistics`, params);
  return res;
}
