import { post, commonRequest, commonRequestNoPagination } from '@/utils/request';

const PREFIX = '/api/v1/admin/proxy';

/** 商户列表 */
export async function requestProxyList(params: API.PageParams) {
  return commonRequest(`${PREFIX}/page`, params);
}

export function addProxy(data: API.ProxyItem) {
  return post(`${PREFIX}/add`, data);
}

export function updateProxy(data: API.ProxyItem) {
  return post(`${PREFIX}/edit`, data);
}

export function deleteProxy(id: string) {
  return post(`${PREFIX}/delete`, { id });
}

// 切换商户状态
export function switchProxyStatus(id: string, status: number) {
  return post(`${PREFIX}/editStatus`, { id, status });
}

// 重置商户密码
export function resetProxyPwd(id: string) {
  return post(`${PREFIX}/resetPwd`, { id });
}

// 关闭谷歌验证
export function closeProxyGoogleAuth(id: string) {
  return post(`${PREFIX}/closeGoogleAuth`, { id });
}

// 获取代理下的商户列表
export async function requestProxyMerchantList(id: string) {
  return commonRequestNoPagination(`${PREFIX}/merchants`, { id });
}

/** 获取代理代付通道 */
export async function requestProxyTransferProductList(id: string) {
  return commonRequestNoPagination(`${PREFIX}/transfer/products`, { id });
}

// 代理支付通道相关服务---------start---------
/** 获取代理支付通道 */
export async function requestProxyPaymentProductList(id: string) {
  return commonRequestNoPagination(`${PREFIX}/payment/products`, { id });
}

// 切换状态
export function switchProxyPaymentProductStatus(id: string, productId: string, status: number) {
  return post(`${PREFIX}/payment/product/editStatus`, { productId, id, status });
}

// 编辑费率
export function editProxyPaymentProductRate(id: string, productId: string, feeRate: string) {
  return post(`${PREFIX}/payment/product/editFeeRate`, { productId, id, feeRate });
}

// 代理支付通道相关服务---------end---------
