import { get, post } from '@/utils/request';

const PREFIX = '/api/v1/monitor';

export async function getDatabase() {
  return new Promise((resolve) => {
    Promise.all([get(`${PREFIX}/database/schema`), get(`${PREFIX}/database/list`)]).then((ress) => {
      if (ress[0]?.code === '0000' && ress[1]?.code === '0000') {
        resolve({
          data: { headerData: ress[0].data, tableData: ress[1].data },
          success: true,
        });
      }
      resolve({ data: {}, success: false });
    });
  });
}

/** 数据库截断 */
export async function truncateDatabase(params: any) {
  return post(`${PREFIX}/database/truncate`, params);
}
