import { get } from '@/utils/request';

const PREFIX = '/api/v1/admin';

/** 收单订单记录 */
export async function requestPaymentList(params: API.PageParams) {
  const { pageSize, current, ...rest } = params;
  const requestParams = {
    size: pageSize,
    page: current,
    ...rest,
  };

  const res = await get(`${PREFIX}/payment/page`, requestParams);
  if (res.code === '0000') {
    const { records = [], total = 0 } = res.data || {};
    return {
      data: records,
      success: true,
      total,
    };
  }
  return {
    data: [],
    success: true,
    total: 0,
  };
}
