import { commonRequest } from '@/utils/request';

const PREFIX_PAYMENT = '/api/v1/admin/payment/channel';
const PREFIX_TRANSFER = '/api/v1/admin/transfer/channel';

/** 支付回调 */
export async function requestPaymentNotifyList(params: API.PageParams) {
  const newParams = { ...params };
  // 由于两个tab切换的时候，同一个dataIndex 的选项的options 会串调，所以只能改掉其中一个的dataIndex
  if (newParams.channelIdPayment) {
    newParams.channelId = newParams.channelIdPayment;
    delete newParams.channelIdPayment;
  }

  return commonRequest(`${PREFIX_PAYMENT}/notify/page`, newParams);
}

/** 代付回调 */
export async function requestTransferNotifyList(params: API.PageParams) {
  return commonRequest(`${PREFIX_TRANSFER}/notify/page`, params);
}
