// @ts-ignore
/* eslint-disable */

declare namespace API {
  type CurrentUser = {
    userName: string;
    lastLoginIp?: string;
    lastLoginTime?: string;
    googleStatus?: string;
    adminId?: string;
    adminName?: string;
  };

  type RequestResult = {
    data?: any;
    extend?: any;
    msg?: string;
    code?: string;
    success?: boolean;
    status?: string;
    type?: string;
  };

  type LoginResult = {
    data?: {};
    msg?: string;
    code?: string;
    success?: boolean;
    status?: string;
    type?: string;
  };

  // 登录记录
  type LogItem = {
    id?: string;
    teamName?: number;
    loginName?: string;
    googleCode?: string;
    ip?: string;
    userAgent?: string;
    loginTime?: string;
    success?: string;
    message?: string;
  };

  type PageParams = {
    current?: number;
    pageSize?: number;
    [key: string]: any;
  };

  // 银行卡 table 元素
  type BankcardItem = {
    id: string;
    mchId: string;
    mchName: string;
    bankCode: string;
    bankName: string;
    subBank: string;
    accountNumber: string;
    accountName: string;
    memo: string;
    createTime: string;
  };

  // 创建账号后的 item
  type AccountInfo = {
    consoleHost?: string;
    loginName?: string;
    loginPwd?: string;
    copyValue?: string;
    remark?: string;
    docUrl?: string;
    gateWay?: string;
    notifyIp?: string;
    mchKey?: string;
    payInitUrl?: string;
    payQueryUrl?: string;
  };

  // 商户 item
  type MerchantItem = {
    id: string;
    mchName?: string;
    mchId?: string;
    loginName?: string;
    proxyName?: string;
    groupName?: string;
    status?: 0 | 1;
    productCode?: string;
    createTime?: string;
    lastLoginIp?: string;
    googleStatus?: boolean;
    loginIps?: any[];
  };

  // 商户流水 item
  type MerchantFlowItem = {
    id: string;
    mchName: string;
    accountType: string;
    accountTypeDesc: string;
    serialType: string;
    serialTypeDesc: string;
    beforeBalance: string;
    auditAmount: string;
    auditAmountValue: number;
    afterBalance: string;
    realAmount: string;
    feeConfig: string;
    fee: string;
    auditOrderNo: string;
    serialOrderNo: string;
    remark: string;
    auditTime: string;
  };

  // 代理流水 item
  type ProxyFlowItem = {
    id: string;
    mchName: string;
    accountType: string;
    accountTypeDesc: string;
    serialType: string;
    serialTypeDesc: string;
    beforeBalance: string;
    auditAmount: string;
    auditAmountValue: number;
    afterBalance: string;
    realAmount: string;
    feeConfig: string;
    fee: string;
    auditOrderNo: string;
    serialOrderNo: string;
    remark: string;
    auditTime: string;
  };

  // 通道流水 item
  type ChannelFlowItem = {
    id: string;
    mchName: string;
    accountType: string;
    accountTypeDesc: string;
    serialType: string;
    serialTypeDesc: string;
    beforeBalance: string;
    auditAmount: string;
    auditAmountValue: number;
    afterBalance: string;
    realAmount: string;
    feeConfig: string;
    fee: string;
    auditOrderNo: string;
    serialOrderNo: string;
    remark: string;
    auditTime: string;
  };

  // 代理 item
  type ProxyItem = {
    id: string;
    mchName?: string;
    loginName?: string;
    proxyName?: string;
    groupName?: string;
    status?: 0 | 1;
    productCode?: string;
    createTime?: string;
    googleStatus?: boolean;
    lastLoginIp?: string;
  };

  // 大通道
  type PaymentProductItem = {
    id: string;
    productId: string;
    amountLimit?: string;
    feeRateValue?: string;
    currency?: string;
    groupName?: string;
    payMethod: string;
    productType?: string;
    productName?: string;
    productCode?: string;
    createTime?: string;
    status?: number;
  };

  // 子通道
  type PaymentChannelItem = {
    id: string;
    productId: string;
    amountLimit?: string;
    currency?: string;
    groupName?: string;
    payMethod: string;
    channelType?: string;
    channelName?: string;
    channelCode?: string;
    createTime?: string;
    todayRate?: number;
    todaySuccessRate?: number;
    status?: number;
  };

  // 支付订单
  type PaymentItem = {
    mchOrderNo?: string;
    serialOrderNo: string;
    channelNotify?: string;
    channelOrderNo?: string;
    productCode?: string;
    amount?: string;
    realAmount?: string;
    message?: string;
    feeRate?: string;
    fee?: string;
    realAmount?: string;
    productName?: string;
    statusCode: number;
    audit: boolean;
    notifyStatusCode: number;
    percent?: number;
    overtime?: boolean;
    residualMillSecond?: number;
    notifyUrl?: string;
    replenishment?: boolean;
  };

  // 通道订单
  type ProductItem = {
    createTime?: string;
    expireTime?: string;
    productCode?: string;
    productName?: string;
    productType?: string;
    productRate?: string;
    amountLimit?: string;
    successRate?: number;
    status?: number;
  };

  // 商户通道item
  type MerchantChannelItem = {
    id: string;
    mchId: string;
    mchName: string;
    mchRowSpan: number;
    channelId: string;
    channelName: string;
    channelWord: string;
    channelCode: string;
    weight?: number;
    dayLimitAmount?: string;
    amountLimitLow?: string;
    amountLimitHigh?: string;
    amountLimitRange?: string[];
    todayTotalAmount?: string;
    todayRate?: number;
    fee: string;
    feeConfig: string;
    feeType: number;
    feeRate: string;
    feeFix: string;
    productId: string;
    productName: string;
    productType: string;
    productCode: string;
    productRowSpan: number;
    payMethod: 'alipay' | 'wechat' | 'unionpay' | 'combine';
    channelType: string;
    bgColor: string;
    currencyMark: string;
    dayLimitAmountValue: string;
    status?: number;
  };

  // 通道订单
  type ProductExtendItem = {
    total?: number;
    today?: number;
    usable?: number;
  };

  type RuleListItem = {
    key?: number;
    disabled?: boolean;
    href?: string;
    avatar?: string;
    name?: string;
    owner?: string;
    desc?: string;
    callNo?: number;
    status?: number;
    updatedAt?: string;
    createdAt?: string;
    progress?: number;
  };

  type RuleList = {
    data?: RuleListItem[];
    /** 列表的内容总数 */
    total?: number;
    success?: boolean;
  };

  type FakeCaptcha = {
    code?: number;
    status?: string;
  };

  type LoginParams = {
    username?: string;
    password?: string;
    autoLogin?: boolean;
    type?: string;
  };

  type ResetPwdParams = {
    oldPwd?: string;
    newPwd?: string;
    newPwd2?: boolean;
  };

  type ErrorResponse = {
    /** 业务约定的错误码 */
    errorCode: string;
    /** 业务上的错误信息 */
    errorMessage?: string;
    /** 业务上的请求是否成功 */
    success?: boolean;
  };

  type NoticeIconList = {
    data?: NoticeIconItem[];
    /** 列表的内容总数 */
    total?: number;
    success?: boolean;
  };

  type NoticeIconItemType = 'notification' | 'message' | 'event';

  type NoticeIconItem = {
    id?: string;
    extra?: string;
    key?: string;
    read?: boolean;
    avatar?: string;
    title?: string;
    status?: string;
    datetime?: string;
    description?: string;
    type?: NoticeIconItemType;
  };

  // 支付订单详情
  type PaymentOrderItem = {
    mchId: number;
    mchName: string;
    mchOrderNo: string;
    serialOrderNo: string;
    productId: string;
    productCode: string;
    productName: string;
    channelId: string;
    channelCode: string;
    channelWord: string;
    channelName: string;
    channelOrderNo: string;
    currency: string;
    payMethod: string;
    amount: string;
    realAmount: string;
    mchFeeRate: string;
    mchFee: string;
    statusCode: string;
    statusDesc: string;
    notifyStatusCode: string;
    notifyStatusDesc: string;
    createTime: string;
    finishTime: string;
    payTime: string;
    message: string;
    payRunTime: string;
    payUserIp: string;
    remark: string;
    payUrl: string;
    payUrlQrcode: string;
    expireTime: string;
    mchIncome: string;
    serialIncome: string;
    channelIncome: string;
    proxyIncome: string;
    userName: string;
    accountName: string;
    accountNumber: string;
    mobile: string;
    bankName: string;
    bankCode: string;
    subBank: string;
    email: string;
    notifyUrl: string;
    notifyAttach: string;
    mchUserIp: string;
    mchUserId: string;
    channelFeeRate: string;
    proxyFeeRate: string;
    createRunTime: string;
    audit: boolean;
  };

  // 通道调用信息
  type ChannelReqInfo = {
    mchOrderNo: string;
    serialOrderNo: string;
    channelCode: string;
    channelWord: string;
    channelName: string;
    requestUrl: string;
    params: string;
    headers: string;
    runTime: string;
    httpCode: number;
    requestSuccess: boolean;
    requestTime: string;
    errMsg: string;
    result: string;
  };

  // 回调状态信息
  type NotifyLog = {
    success: boolean;
    notifyUrl: string;
    notifyParam: string;
    notifyResult: string;
    notifyTime: string;
    runTime: string;
  };

  // 回调列表item
  type NotifyItem = {
    channelId: string;
    channelCode: string;
    channelName: string;
    method: string;
    ip: string;
    headers: string;
    uri: string;
    params: string;
    notifyTime: string;
    response: string;
    status: string;
    runTime: string;
    success: string;
  };

  // 统计卡片
  type analysisItem = {
    dodPaySuccessRate: number;
    dodTotalPayAmountRate: number;
    hohPaySuccessRate: number;
    hohTotalPayAmountRate: number;
    todaySuccessRate: number;
    todayTotalPayAmount: string;
    yesterdayTotalPayAmount: string;
    yesterdaySuccessRate: string;
  };

  type ChartItem = {
    name: string;
    value: number;
  };

  type Item = {
    title: string;
    value: string;
  };

  // 统计图表卡片
  type AnalysisChartItem = {
    channelSuccessAmount: ChartItem[];
    channelSuccessRate: ChartItem[];
    merchantSuccessAmount: ChartItem[];
  };

  // 数据库
  type DatabaseItem = {
    autoIncrement: string;
    avgRowLength: string;
    dataLength: string;
    engine: string;
    tableCollation: string;
    tableComment: string;
    tableName: string;
    tableRows: string;
  };

  // 支付通道简报 Item
  type PCStatisticsItem = {
    mchId: 'number';
    mchName: 'string';
    productId: 'number';
    productName: 'string';
    productRowSpan: 'number';
    channelId: 'number';
    channelName: 'string';
    payMethod: 'string';
    bgColor: 'string';
    initCount: 'number';
    errorCount: 'number';
    successCount: 'number';
    countSuccessRate: 'number';
    initAmount: 'string';
    successAmount: 'string';
    amountSuccessRate: 'number';
    replenishmentCount: 'number';
    replenishmentAmount: 'string';
    noAuditCount: 'number';
  };

  // 黑名单IP
  type BlackIPItem = {
    id: string;
    blackIp: string;
    expired: boolean;
  };

  // 系统配置
  type SystemConfigItem = {
    id: string;
    remark: string;
    modifyTime: string;
    configCode: string;
    configValue: string;
  };

  // 查询订单结果
  type OrderResultItem = {
    success: boolean;
    errMsg: string;
    mchOrderNo: string;
    serialOrderNo: string;
    channelOrderNo: string;
    rawInfo: string;
    status: string;
    realAmount: string;
  };
}
