import { message } from 'antd';
import clipboardCopy from 'clipboard-copy';

export const isGoogleSms = (smsCode: string) => /^\d{6}$/.test(smsCode);

export const copy = async (text?: string) => {
  if (!text) {
    message.warning('未复制到任何内容');
  }
  try {
    await clipboardCopy(text as string);
    message.success('复制成功');
    return true;
  } catch {
    message.warning('复制失败');
    return false;
  }
};

// json 数据格式化
export const formatJSON = (str: string) => {
  if (!str) return str;
  let result = str;
  try {
    result = JSON.stringify(JSON.parse(str), null, 2);
  } catch (err) {}
  return result;
};

// 是否是移动端
export const isMobile = 'ontouchmove' in document.createElement('span');

// 单笔限额格式化
export const formatAmountLimit = (money: string) =>
  money.includes('[') ? JSON.parse(money).join('，') : money;
