import { isGoogleSms } from '@/utils';

// 账号校验
export const accountValidate = (_: any, value: string) => {
  if (!value) {
    return Promise.reject(new Error('请输入用户名!'));
  }
  const reg = /^[a-zA-Z]{1}[a-zA-Z0-9]{3,14}$/;
  if (!reg.test(value)) {
    return Promise.reject(new Error('必须4-15位字母或数字，字母开头'));
  }
  return Promise.resolve();
};

// 密码校验
export const passwordValidate = (_: any, value: string) => {
  if (!value) {
    return Promise.reject(new Error('请输入密码!'));
  }
  if (value.length < 6 || value.length > 20) {
    return Promise.reject(new Error('6-20位字符'));
  }
  return Promise.resolve();
};

// google 验证码校验
export const googleSMSValidate = (_: any, value: string) => {
  if (value && !isGoogleSms(value)) {
    return Promise.reject(new Error('6位数字'));
  }
  return Promise.resolve();
};
